﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="include\Enemy\Nucleus\AttackObject\AttackObject.h" />
    <ClInclude Include="include\Enemy\Uaz469\AttackObject\AttackObject.h" />
    <ClInclude Include="include\Player\AttackObject\AttackEffect.h" />
    <ClInclude Include="include\Asset\AttackCollision.h" />
    <ClInclude Include="include\Asset\AttackObjectAdministrator.h" />
    <ClInclude Include="include\Asset\GameEnd.h" />
    <ClInclude Include="include\common\dx9math.h" />
    <ClInclude Include="include\Enemy\AttackCollision\EnemyAttackObject.h" />
    <ClInclude Include="include\Opening\Scene.h" />
    <ClInclude Include="include\Player\AttackObject\AttackBox.h" />
    <ClInclude Include="include\Title\CameraObject.h" />
    <ClInclude Include="include\Asset\FieldHighGround.h" />
    <ClInclude Include="include\Asset\FieldPlane.h" />
    <ClInclude Include="include\Asset\FieldBox.h" />
    <ClInclude Include="include\Asset\FieldCollider.h" />
    <ClInclude Include="include\Asset\Pause.h" />
    <ClInclude Include="include\Enemy\Nucleus\Action\Attack.h" />
    <ClInclude Include="include\Enemy\Torchka\Action\Attack.h" />
    <ClInclude Include="include\Enemy\Uaz469\Action\Attack.h" />
    <ClInclude Include="include\common\State.h" />
    <ClInclude Include="include\Enemy\Action\Action.h" />
    <ClInclude Include="include\Enemy\CommonEnemy.h" />
    <ClInclude Include="include\Enemy\CommonAI.h" />
    <ClInclude Include="include\Asset\ActionRange.h" />
    <ClInclude Include="include\Enemy\EnemyManager.h" />
    <ClInclude Include="include\Asset\Character.h" />
    <ClInclude Include="include\Player\PlayerManager.h" />
    <ClInclude Include="include\Asset\Map.h" />
    <ClInclude Include="include\Stage1\Scene.h" />
    <ClInclude Include="include\Asset\ControllerObject.h" />
    <ClInclude Include="include\CheckCollider\CheckCollider.h" />
    <ClInclude Include="include\CheckCollider\Scene.h" />
    <ClInclude Include="include\common\BoxCollider.h" />
    <ClInclude Include="include\Asset\AnimationModel.h" />
    <ClInclude Include="include\Editor\common\EditorGrid.h" />
    <ClInclude Include="include\Editor\common\EditorCamera.h" />
    <ClInclude Include="include\common\Effect.h" />
    <ClInclude Include="include\Editor\Motion\Scene.h" />
    <ClInclude Include="include\config.h" />
    <ClInclude Include="include\Asset\ShaderModel.h" />
    <ClInclude Include="include\common\FunctionComponent.h" />
    <ClInclude Include="include\common\Gravity.h" />
    <ClInclude Include="include\common\Activity.h" />
    <ClInclude Include="include\common\AspectRatio.h" />
    <ClInclude Include="include\common\Billboard.h" />
    <ClInclude Include="include\common\Camera.h" />
    <ClInclude Include="include\common\char_convert.hpp" />
    <ClInclude Include="include\common\Collider.h" />
    <ClInclude Include="include\common\Component.h" />
    <ClInclude Include="include\common\CreateBuffer.h" />
    <ClInclude Include="include\common\Cube.h" />
    <ClInclude Include="include\common\DefaultSystem.h" />
    <ClInclude Include="include\common\Device.h" />
    <ClInclude Include="include\common\Dinput.h" />
    <ClInclude Include="include\common\DinputController.h" />
    <ClInclude Include="include\common\DinputKeyboard.h" />
    <ClInclude Include="include\common\DinputMouse.h" />
    <ClInclude Include="include\common\DrawingTechnology.h" />
    <ClInclude Include="include\common\DX9_Vertex3D.h" />
    <ClInclude Include="include\common\enum_system.hpp" />
    <ClInclude Include="include\common\file_path.hpp" />
    <ClInclude Include="include\common\Fog.h" />
    <ClInclude Include="include\common\Grid.h" />
    <ClInclude Include="include\common\ImGUI_DirectX9\imconfig.h" />
    <ClInclude Include="include\common\ImGUI_DirectX9\imgui.h" />
    <ClInclude Include="include\common\ImGUI_DirectX9\imgui_impl_dx9.h" />
    <ClInclude Include="include\common\ImGUI_DirectX9\imgui_internal.h" />
    <ClInclude Include="include\common\ImGUI_DirectX9\stb_rect_pack.h" />
    <ClInclude Include="include\common\ImGUI_DirectX9\stb_textedit.h" />
    <ClInclude Include="include\common\ImGUI_DirectX9\stb_truetype.h" />
    <ClInclude Include="include\common\Light.h" />
    <ClInclude Include="include\common\list_wrapper.h" />
    <ClInclude Include="include\common\Manager.h" />
    <ClInclude Include="include\common\Mesh.h" />
    <ClInclude Include="include\common\MeshField.h" />
    <ClInclude Include="include\common\MsEffekseer.h" />
    <ClInclude Include="include\common\MsImGui.h" />
    <ClInclude Include="include\common\mslib.hpp" />
    <ClInclude Include="include\common\mslib_struct.h" />
    <ClInclude Include="include\common\Object.h" />
    <ClInclude Include="include\common\ObjectManager.h" />
    <ClInclude Include="include\common\Renderer.h" />
    <ClInclude Include="include\common\SceneManager.h" />
    <ClInclude Include="include\common\SetRender.h" />
    <ClInclude Include="include\common\SetSampler.h" />
    <ClInclude Include="include\common\Sphere.h" />
    <ClInclude Include="include\common\Sprite.h" />
    <ClInclude Include="include\common\Text.h" />
    <ClInclude Include="include\common\Texture.h" />
    <ClInclude Include="include\common\Timer.h" />
    <ClInclude Include="include\common\Transform.h" />
    <ClInclude Include="include\common\vector_wrapper.h" />
    <ClInclude Include="include\common\WindowsAPI.h" />
    <ClInclude Include="include\common\XAudio2.h" />
    <ClInclude Include="include\common\XInput.h" />
    <ClInclude Include="include\common\XModel.h" />
    <ClInclude Include="include\dxlib.h" />
    <ClInclude Include="include\Load\Fade.h" />
    <ClInclude Include="include\System\GameWindow.h" />
    <ClInclude Include="include\Load\LoadScene.h" />
    <ClInclude Include="include\Load\LoadScreen.h" />
    <ClInclude Include="include\common\IReference.h" />
    <ClInclude Include="include\Editor\Motion\MotionEditor.h" />
    <ClInclude Include="include\common\MeshCollider.h" />
    <ClInclude Include="include\common\PlaneCollider.h" />
    <ClInclude Include="include\common\DistanceCollider.h" />
    <ClInclude Include="include\Player\Player.h" />
    <ClInclude Include="include\Asset\Jump.h" />
    <ClInclude Include="include\Asset\LightObject.h" />
    <ClInclude Include="include\Enemy\Nucleus\Nucleus.h" />
    <ClInclude Include="include\common\Initializer.h" />
    <ClInclude Include="include\Enemy\Nucleus\NucleusAI.h" />
    <ClInclude Include="include\Enemy\Action\Patrol.h" />
    <ClInclude Include="include\Enemy\Action\Move.h" />
    <ClInclude Include="include\Enemy\Torchka\Action\Patrol.h" />
    <ClInclude Include="include\Enemy\Torchka\AttackObject\AttackObject.h" />
    <ClInclude Include="include\Title\PlayerObject.h" />
    <ClInclude Include="include\Title\NucleusObject.h" />
    <ClInclude Include="include\Title\PressAnyKey.h" />
    <ClInclude Include="include\Title\Menu.h" />
    <ClInclude Include="include\Player\LifeUI.h" />
    <ClInclude Include="include\Opening\OpeningObject.h" />
    <ClInclude Include="resource.h" />
    <ClInclude Include="include\System\Screen.h" />
    <ClInclude Include="include\System\SystemWindow.h" />
    <ClInclude Include="resource_list.h" />
    <ClInclude Include="include\Result\Scene.h" />
    <ClInclude Include="include\Title\Scene.h" />
    <ClInclude Include="include\common\SphereCollider.h" />
    <ClInclude Include="include\Asset\Step.h" />
    <ClInclude Include="include\Player\SetAnimation.h" />
    <ClInclude Include="include\Asset\SkyDome.h" />
    <ClInclude Include="include\Enemy\Action\Rotation.h" />
    <ClInclude Include="include\Asset\BGMObject.h" />
    <ClInclude Include="include\common\VirtualController.h" />
    <ClInclude Include="include\Enemy\Torchka\Torchka.h" />
    <ClInclude Include="include\Enemy\Torchka\TorchkaAI.h" />
    <ClInclude Include="include\Asset\TPSCamera.h" />
    <ClInclude Include="include\Player\Weapon.h" />
    <ClInclude Include="include\Enemy\Uaz469\Uaz469.h" />
    <ClInclude Include="include\Enemy\Uaz469\Uaz469AI.h" />
    <ClInclude Include="include\Title\Uaz469Object.h" />
    <ClInclude Include="include\Title\TorchkaObject.h" />
    <ClInclude Include="include\Title\TitleName.h" />
    <ClInclude Include="include\Asset\ThankYouForPlaying.h" />
    <ClInclude Include="include\Asset\xBox_Controller.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="include\Enemy\Nucleus\AttackObject\AttackObject.cpp" />
    <ClCompile Include="include\Enemy\Uaz469\AttackObject\AttackObject.cpp" />
    <ClCompile Include="include\Player\AttackObject\AttackEffect.cpp" />
    <ClCompile Include="include\Asset\AttackCollision.cpp" />
    <ClCompile Include="include\Asset\AttackObjectAdministrator.cpp" />
    <ClCompile Include="include\Asset\GameEnd.cpp" />
    <ClCompile Include="include\common\dx9math.cpp" />
    <ClCompile Include="include\Enemy\AttackCollision\EnemyAttackObject.cpp" />
    <ClCompile Include="include\Opening\Scene.cpp" />
    <ClCompile Include="include\Player\AttackObject\AttackBox.cpp" />
    <ClCompile Include="include\Title\CameraObject.cpp" />
    <ClCompile Include="include\Asset\FieldHighGround.cpp" />
    <ClCompile Include="include\Asset\FieldPlane.cpp" />
    <ClCompile Include="include\Asset\FieldBox.cpp" />
    <ClCompile Include="include\Asset\FieldCollider.cpp" />
    <ClCompile Include="include\Asset\Pause.cpp" />
    <ClCompile Include="include\Enemy\Nucleus\Action\Attack.cpp" />
    <ClCompile Include="include\Enemy\Torchka\Action\Attack.cpp" />
    <ClCompile Include="include\Enemy\Uaz469\Action\Attack.cpp" />
    <ClCompile Include="include\common\State.cpp" />
    <ClCompile Include="include\Enemy\Action\Action.cpp" />
    <ClCompile Include="include\Enemy\CommonEnemy.cpp" />
    <ClCompile Include="include\Enemy\CommonAI.cpp" />
    <ClCompile Include="include\Asset\ActionRange.cpp" />
    <ClCompile Include="include\Enemy\EnemyManager.cpp" />
    <ClCompile Include="include\Asset\Character.cpp" />
    <ClCompile Include="include\Player\PlayerManager.cpp" />
    <ClCompile Include="include\Asset\Map.cpp" />
    <ClCompile Include="include\Stage1\Scene.cpp" />
    <ClCompile Include="include\Asset\ControllerObject.cpp" />
    <ClCompile Include="include\CheckCollider\CheckCollider.cpp" />
    <ClCompile Include="include\CheckCollider\Scene.cpp" />
    <ClCompile Include="include\common\BoxCollider.cpp" />
    <ClCompile Include="include\Asset\AnimationModel.cpp" />
    <ClCompile Include="include\Editor\common\EditorGrid.cpp" />
    <ClCompile Include="include\Editor\common\EditorCamera.cpp" />
    <ClCompile Include="include\common\Effect.cpp" />
    <ClCompile Include="include\Editor\Motion\Scene.cpp" />
    <ClCompile Include="include\Asset\ShaderModel.cpp" />
    <ClCompile Include="include\common\FunctionComponent.cpp" />
    <ClCompile Include="include\common\Gravity.cpp" />
    <ClCompile Include="include\common\Activity.cpp" />
    <ClCompile Include="include\common\Billboard.cpp" />
    <ClCompile Include="include\common\Camera.cpp" />
    <ClCompile Include="include\common\char_convert.cpp" />
    <ClCompile Include="include\common\Collider.cpp" />
    <ClCompile Include="include\common\CreateBuffer.cpp" />
    <ClCompile Include="include\common\Cube.cpp" />
    <ClCompile Include="include\common\DefaultSystem.cpp" />
    <ClCompile Include="include\common\Device.cpp" />
    <ClCompile Include="include\common\Dinput.cpp" />
    <ClCompile Include="include\common\DinputController.cpp" />
    <ClCompile Include="include\common\DinputKeyboard.cpp" />
    <ClCompile Include="include\common\DinputMouse.cpp" />
    <ClCompile Include="include\common\DrawingTechnology.cpp" />
    <ClCompile Include="include\common\file_path.cpp" />
    <ClCompile Include="include\common\Fog.cpp" />
    <ClCompile Include="include\common\Grid.cpp" />
    <ClCompile Include="include\common\ImGUI_DirectX9\imgui.cpp" />
    <ClCompile Include="include\common\ImGUI_DirectX9\imgui_demo.cpp" />
    <ClCompile Include="include\common\ImGUI_DirectX9\imgui_draw.cpp" />
    <ClCompile Include="include\common\ImGUI_DirectX9\imgui_impl_dx9.cpp" />
    <ClCompile Include="include\common\Light.cpp" />
    <ClCompile Include="include\common\Manager.cpp" />
    <ClCompile Include="include\common\Mesh.cpp" />
    <ClCompile Include="include\common\MeshField.cpp" />
    <ClCompile Include="include\common\MsEffekseer.cpp" />
    <ClCompile Include="include\common\MsImGui.cpp" />
    <ClCompile Include="include\common\Object.cpp" />
    <ClCompile Include="include\common\ObjectManager.cpp" />
    <ClCompile Include="include\common\Renderer.cpp" />
    <ClCompile Include="include\common\SceneManager.cpp" />
    <ClCompile Include="include\common\SetRender.cpp" />
    <ClCompile Include="include\common\SetSampler.cpp" />
    <ClCompile Include="include\common\Sphere.cpp" />
    <ClCompile Include="include\common\Sprite.cpp" />
    <ClCompile Include="include\common\Text.cpp" />
    <ClCompile Include="include\common\Texture.cpp" />
    <ClCompile Include="include\common\Timer.cpp" />
    <ClCompile Include="include\common\Transform.cpp" />
    <ClCompile Include="include\common\WindowsAPI.cpp" />
    <ClCompile Include="include\common\XAudio2.cpp" />
    <ClCompile Include="include\common\XInput.cpp" />
    <ClCompile Include="include\common\XModel.cpp" />
    <ClCompile Include="include\Load\Fade.cpp" />
    <ClCompile Include="include\System\GameWindow.cpp" />
    <ClCompile Include="include\Load\LoadScene.cpp" />
    <ClCompile Include="include\Load\LoadScreen.cpp" />
    <ClCompile Include="include\System\main.cpp" />
    <ClCompile Include="include\System\Screen.cpp" />
    <ClCompile Include="include\System\SystemWindow.cpp" />
    <ClCompile Include="include\Result\Scene.cpp" />
    <ClCompile Include="include\Title\Scene.cpp" />
    <ClCompile Include="include\common\IReference.cpp" />
    <ClCompile Include="include\Editor\Motion\MotionEditor.cpp" />
    <ClCompile Include="include\common\SphereCollider.cpp" />
    <ClCompile Include="include\common\MeshCollider.cpp" />
    <ClCompile Include="include\common\PlaneCollider.cpp" />
    <ClCompile Include="include\common\DistanceCollider.cpp" />
    <ClCompile Include="include\Player\Player.cpp" />
    <ClCompile Include="include\Asset\Jump.cpp" />
    <ClCompile Include="include\Asset\Step.cpp" />
    <ClCompile Include="include\Asset\LightObject.cpp" />
    <ClCompile Include="include\Player\SetAnimation.cpp" />
    <ClCompile Include="include\Asset\SkyDome.cpp" />
    <ClCompile Include="include\Enemy\Nucleus\Nucleus.cpp" />
    <ClCompile Include="include\common\Initializer.cpp" />
    <ClCompile Include="include\Enemy\Nucleus\NucleusAI.cpp" />
    <ClCompile Include="include\Enemy\Action\Rotation.cpp" />
    <ClCompile Include="include\Enemy\Action\Patrol.cpp" />
    <ClCompile Include="include\Enemy\Action\Move.cpp" />
    <ClCompile Include="include\Enemy\Torchka\Action\Patrol.cpp" />
    <ClCompile Include="include\Enemy\Torchka\AttackObject\AttackObject.cpp" />
    <ClCompile Include="include\Title\PlayerObject.cpp" />
    <ClCompile Include="include\Title\NucleusObject.cpp" />
    <ClCompile Include="include\Title\PressAnyKey.cpp" />
    <ClCompile Include="include\Title\Menu.cpp" />
    <ClCompile Include="include\Asset\BGMObject.cpp" />
    <ClCompile Include="include\common\VirtualController.cpp" />
    <ClCompile Include="include\Enemy\Torchka\Torchka.cpp" />
    <ClCompile Include="include\Enemy\Torchka\TorchkaAI.cpp" />
    <ClCompile Include="include\Asset\TPSCamera.cpp" />
    <ClCompile Include="include\Player\Weapon.cpp" />
    <ClCompile Include="include\Enemy\Uaz469\Uaz469.cpp" />
    <ClCompile Include="include\Enemy\Uaz469\Uaz469AI.cpp" />
    <ClCompile Include="include\Title\Uaz469Object.cpp" />
    <ClCompile Include="include\Title\TorchkaObject.cpp" />
    <ClCompile Include="include\Title\TitleName.cpp" />
    <ClCompile Include="include\Asset\ThankYouForPlaying.cpp" />
    <ClCompile Include="include\Player\LifeUI.cpp" />
    <ClCompile Include="include\Asset\xBox_Controller.cpp" />
    <ClCompile Include="include\Opening\OpeningObject.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="sample.rc" />
  </ItemGroup>
  <ItemGroup>
    <FxCompile Include="resource\Shader\PerPixelLighting.fx">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
    </FxCompile>
    <FxCompile Include="resource\Shader\Shadow.fx">
      <ShaderType Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Geometry</ShaderType>
      <ShaderModel Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">4.0</ShaderModel>
      <ShaderType Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">Geometry</ShaderType>
      <ShaderModel Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">4.0</ShaderModel>
      <ShaderType Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Geometry</ShaderType>
      <ShaderModel Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">4.0</ShaderModel>
      <ShaderType Condition="'$(Configuration)|$(Platform)'=='Release|x64'">Geometry</ShaderType>
      <ShaderModel Condition="'$(Configuration)|$(Platform)'=='Release|x64'">4.0</ShaderModel>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
    </FxCompile>
    <FxCompile Include="resource\Shader\Sprite2D.fx">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
    </FxCompile>
    <FxCompile Include="resource\Shader\ToonShader.fx">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
    </FxCompile>
    <FxCompile Include="resource\Shader\Wave.fx">
      <ShaderType Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Geometry</ShaderType>
      <ShaderModel Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">4.0</ShaderModel>
      <ShaderType Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">Geometry</ShaderType>
      <ShaderModel Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">4.0</ShaderModel>
      <ShaderType Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Geometry</ShaderType>
      <ShaderModel Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">4.0</ShaderModel>
      <ShaderType Condition="'$(Configuration)|$(Platform)'=='Release|x64'">Geometry</ShaderType>
      <ShaderModel Condition="'$(Configuration)|$(Platform)'=='Release|x64'">4.0</ShaderModel>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
    </FxCompile>
  </ItemGroup>
  <ItemGroup>
    <Image Include="resource\texture\Header\Header.bmp" />
    <Image Include="resource\texture\ico\PolygonCrisisICO.ico" />
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{6DB8D400-A981-41CE-9E76-D3098C0C1535}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>sample</RootNamespace>
    <WindowsTargetPlatformVersion>10.0.17763.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v141</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v141</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v141</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v141</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="common.props" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="common.props" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="common.props" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="common.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
    <IncludePath>$(DXSDK_DIR)include;$(IncludePath)</IncludePath>
    <LibraryPath>$(DXSDK_DIR)lib\x86;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(SolutionDir)</OutDir>
    <IncludePath>$(DXSDK_DIR)include;$(IncludePath)</IncludePath>
    <LibraryPath>$(DXSDK_DIR)lib\x86;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <TreatWarningAsError>true</TreatWarningAsError>
      <AdditionalIncludeDirectories>.\;include\;include\Effekseer\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <LanguageStandard>
      </LanguageStandard>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>Winmm.lib;d3d9.lib;d3dx9d.lib;dinput8.lib;dxguid.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <AdditionalLibraryDirectories>lib\</AdditionalLibraryDirectories>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>_DEBUG;_WINDOWS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level4</WarningLevel>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <TreatWarningAsError>true</TreatWarningAsError>
      <AdditionalIncludeDirectories>.\;include\;include\Effekseer\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>Winmm.lib;d3d9.lib;d3dx9.lib;dinput8.lib;dxguid.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <AdditionalLibraryDirectories>lib\</AdditionalLibraryDirectories>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>NDEBUG;_WINDOWS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>